package request

import (
	"git.rosy.net.cn/baseapi/platformapi/tao_vegetable/sdk/ability591/domain"
	"git.rosy.net.cn/baseapi/platformapi/tao_vegetable/sdk/util"
)

type AlibabaWdkChannelUserSyncRequest struct {
	/*
	   会员信息     */
	UserSyncInfo *domain.AlibabaWdkChannelUserSyncUserSyncInfo `json:"user_sync_info" required:"true" `
}

func (s *AlibabaWdkChannelUserSyncRequest) SetUserSyncInfo(v domain.AlibabaWdkChannelUserSyncUserSyncInfo) *AlibabaWdkChannelUserSyncRequest {
	s.UserSyncInfo = &v
	return s
}

func (req *AlibabaWdkChannelUserSyncRequest) ToMap() map[string]interface{} {
	paramMap := make(map[string]interface{})
	if req.UserSyncInfo != nil {
		paramMap["user_sync_info"] = util.ConvertStruct(*req.UserSyncInfo)
	}
	return paramMap
}

func (req *AlibabaWdkChannelUserSyncRequest) ToFileMap() map[string]interface{} {
	fileMap := make(map[string]interface{})
	return fileMap
}
